Your message dated Sat, 12 Aug 2017 11:47:36 -0400
with message-id <20170812154736.z7lvfumtub2sg...@tc4.so-net.ne.jp>
and subject line Re: ibus and application
has caused the Debian Bug report #843335,
regarding ibus: I can't input any Japanese characters by some applications
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
843335: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=843335
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: ibus
Version: 1.5.14-1
Severity: normal

Dear Maintainer,

After apt-get upgrade, I can't input any Japanese characters by iseweasel, 
icedove, gimp and gnucash, while I can do it by Gnome-terminal and Libreoffice.
I try to install the latest Firefox(50.0) and Thunderbird(50.0b3) by hand, both 
work good.
I use Anthy and Mozc, both behave samely.

environments:
tom-lin@nomura: env | grep ibus
CLUTTER_IM_MODULE=ibus
QT_IM_MODULE=ibus
XMODIFIERS=@im=ibus
GTK_IM_MODULE=ibus



-- Package-specific info:
default-display-manager: /usr/sbin/gdm3
ibus is /usr/bin/ibus
ibus-setup is /usr/bin/ibus-setup
im-config -l =>  ibus xim
im-config -m => default missing ibus ibus
XMODIFIERS=@im=ibus
GTK_IM_MODULE=ibus
QT4_IM_MODULE=xim
QT_IM_MODULE=ibus
XDG_DATA_DIRS=/usr/share/gnome:/usr/share/gnome:/usr/local/share/:/usr/share/
XDG_MENU_PREFIX=gnome-
PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games

ls -l /usr/lib/ibus/
total 408
-rwxr-xr-x 1 root root  18504 Oct 20 21:10 ibus-dconf
-rwxr-xr-x 1 root root   1214 Oct 15  2014 ibus-engine-anthy
-rwxr-xr-x 1 root root  35904 Oct 27  2014 ibus-engine-m17n
-rwxr-xr-x 1 root root  14408 Oct 20 21:10 ibus-engine-simple
-rwxr-xr-x 1 root root   1096 Oct 15  2014 ibus-setup-anthy
-rwxr-xr-x 1 root root  27568 Oct 27  2014 ibus-setup-m17n
-rwxr-xr-x 1 root root 211080 Oct 20 21:10 ibus-ui-gtk3
-rwxr-xr-x 1 root root  91848 Oct 20 21:10 ibus-x11

-- System Information:
Debian Release: stretch/sid
  APT prefers stable
  APT policy: (500, 'stable'), (101, 'testing'), (50, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.7.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages ibus depends on:
ii  adwaita-icon-theme                           3.22.0-1
ii  dconf-cli                                    0.26.0-2
ii  dconf-gsettings-backend [gsettings-backend]  0.26.0-2
ii  gir1.2-gtk-3.0                               3.22.2-1
ii  gir1.2-ibus-1.0                              1.5.14-1
ii  libatk1.0-0                                  2.22.0-1
ii  libc6                                        2.24-5
ii  libcairo2                                    1.14.6-1+b1
ii  libdconf1                                    0.26.0-2
ii  libgdk-pixbuf2.0-0                           2.36.0-1
ii  libglib2.0-0                                 2.50.1-1
ii  libgtk-3-0                                   3.22.2-1
ii  libibus-1.0-5                                1.5.14-1
ii  libnotify4                                   0.7.7-1
ii  libpango-1.0-0                               1.40.3-2
ii  libpangocairo-1.0-0                          1.40.3-2
ii  librsvg2-common                              2.40.16-1
ii  libx11-6                                     2:1.6.3-1
ii  libxi6                                       2:1.7.6-1
ii  python3-gi                                   3.22.0-1
pn  python3:any                                  <none>

Versions of packages ibus recommends:
ii  ibus-gtk    1.5.14-1
ii  ibus-gtk3   1.5.14-1
ii  im-config   0.29-1.4
ii  libqt5gui5  5.6.1+dfsg-3+b1

Versions of packages ibus suggests:
ii  ibus-clutter  0.0+git20090728.a936bacf-5.1+b1
pn  ibus-doc      <none>
pn  ibus-qt4      <none>
ii  libqt5gui5    5.6.1+dfsg-3+b1

-- no debconf information

--- End Message ---
--- Begin Message ---
Hi,

Thanks.
On Sat, Aug 12, 2017 at 10:17:18PM +0900, Tomoo Nomura wrote:
> Hello,
> 
> Now, I can input Japanese characters by Ibus and Mozc without any problems.
> This problem seems to be happen under some special conditions.
> I recreated user newly and apt-upgrade, then it became to work fine.
> 
> I don't have any experiences with WAYLAND, but I am interested in it.
> If you would like to involve me with WAYlAND, let me know.
> 
> Thanks,
> Tomoo

--- End Message ---

Reply via email to